---
search:
  tags:
    - Challenge instances
    - GET
seo:
  description: >-
    List the challenge instances. Reference for the GET
    /api/admin/challenge-instances endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: List the challenge instances
  badge: GET
title: List the challenge instances
type: openapi-operation
---
`GET /api/admin/challenge-instances`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `500` — Unhandled server error

Response example, 200:

```json
[
  {
    "id": "string",
    "challengeId": "string",
    "teamId": "string",
    "userId": "string",
    "status": "pending",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "expiresAt": "2019-08-24T14:15:22Z",
    "terminatedAt": "2019-08-24T14:15:22Z",
    "meteringStartedAt": "2019-08-24T14:15:22Z",
    "meteringEndedAt": "2019-08-24T14:15:22Z",
    "errorMessage": "string",
    "portMappings": [
      {
        "serviceName": "string",
        "containerPort": 0,
        "kind": "web",
        "hostname": "string"
      }
    ],
    "releaseCompletedAt": "2019-08-24T14:15:22Z",
    "billingMultiplier": 0,
    "taskCpuUnits": 0,
    "taskMemoryMb": 0,
    "challenge": {
      "id": "string",
      "title": "string"
    },
    "user": {
      "id": "string",
      "name": "string",
      "email": "string",
      "username": "string"
    }
  }
]
```
